apiVersion: v1
kind: ConfigMap
metadata:
  name: ron-config
  namespace: minecraft
data:
  ops-json: |
    [{"uuid":"d443300b-e59c-46e6-8ac4-cf7b826c1fbe",
      "name" : "Marzipan_at",
      "level" :4,"bypassesPlayerLimit": true}]
  server-properties: |
    #Minecraft server properties
    #Thu Oct 24 16:50:02 CEST 2024
    allow-flight=false
    allow-nether=true
    broadcast-console-to-ops=true
    broadcast-rcon-to-ops=true
    difficulty=hard
    enable-command-block=false
    enable-jmx-monitoring=false
    enable-query=false
    enable-rcon=false
    enable-status=true
    enforce-secure-profile=true
    enforce-whitelist=false
    entity-broadcast-range-percentage=100
    force-gamemode=true
    function-permission-level=2
    gamemode=spectator
    generate-structures=false
    generator-settings={}
    hardcore=true
    hide-online-players=false
    level-name=world
    level-seed=
    level-type=minecraft\:normal
    max-chained-neighbor-updates=1000000
    max-players=420
    max-tick-time=60000
    max-world-size=29999984
    motd=Minecraft RTS Server
    network-compression-threshold=256
    online-mode=true
    op-permission-level=4
    player-idle-timeout=0
    prevent-proxy-connections=false
    previews-chat=false
    pvp=true
    query.port=25565
    rate-limit=0
    rcon.password=
    rcon.port=25575
    require-resource-pack=false
    resource-pack=
    resource-pack-prompt=
    resource-pack-sha1=
    server-ip=0.0.0.0
    server-port=25565
    simulation-distance=8
    spawn-animals=true
    spawn-monsters=false
    spawn-npcs=false
    spawn-protection=0
    sync-chunk-writes=true
    text-filtering-config=
    use-native-transport=true
    view-distance=25
    white-list=false

  pcf-common: |
    #Modern Forwarding Settings
    [modernForwarding]
    forwardingSecret = "q07zuZjQzAvd"
    [commandWrapping]
    #List of argument types that are not vanilla but are integrated into the server (found in the Vanilla registry)
    moddedArgumentTypes = ["livingthings:sampler_types"]


